const debug=require('debug')('debug');

const setRateLimit = require("express-rate-limit");

const limit = parseInt(process.env.RATE_LIMIT, 10)||120;
debug('rate limit:  '+ limit);

// Rate limit middleware
const rateLimitMiddleware = setRateLimit({
  windowMs: 60 * 1000,
  max: limit,
  message: `You have exceeded your ${limit} requests per minute limit.`,
  headers: true,
});

module.exports = rateLimitMiddleware;
