const debug=require('debug')('debug');

const express = require('express');
const router = express.Router();
const numberOfRoutes = require('../service/number-of-routes');
const utils=require('../utils');

router.get('/', async function(req, res, next) {
    debug('number-of-routes start...');
    try {
	res.json(await numberOfRoutes.get());
    } catch (err) {
	console.error(`Error while getting number of routes, msg: `, err.message);
	res.status(err.statusCode || 500).json(utils.MSGS.error);
    }
    debug('number-of-routes done.');
});

module.exports = router;
