const debug=require('debug')('debug');

const express = require('express');
const router = express.Router();
const numberOfTrips = require('../service/number-of-trips');
const utils=require('../utils');

router.get('/', async function(req, res, next) {
    debug('number-of-trips start...');
    try {
	res.json(await numberOfTrips.get());
    } catch (err) {
	console.error(`Error while getting number of trips, msg: `, err.message);
	res.status(err.statusCode || 500).json(utils.MSGS.error);
    }
    debug('number-of-trips done.');
});

module.exports = router;
