const express = require('express');
const router = express.Router();

const tripUpdatesByAgencyDay = require('../service/trip-updates-by-agency-day');
const utils=require('../utils');

router.get('/', async function(req, res, next) {
    try {
      res.json(await tripUpdatesByAgencyDay.get(req.query.agencyid, req.query.day));
  } catch (err) {
      console.error(`Error while getting trip updates by agency_id and day, msg: `, err.message);
      res.status(err.statusCode || 500).json(utils.MSGS.error);
  }
});

module.exports = router;
