const express = require('express');
const router = express.Router();

const tripUpdatesByRouteDay = require('../service/trip-updates-by-route-day');
const utils=require('../utils');

router.get('/', async function(req, res, next) {
  try {
      res.json(await tripUpdatesByRouteDay.get(req.query.routeid, req.query.day));
  } catch (err) {
      console.error(`Error while getting trip updates by route_id and day, msg: `, err.message);
      res.status(err.statusCode || 500).json(utils.MSGS.error);
  }
});

module.exports = router;
