const express = require('express');
const router = express.Router();

const tripsByRouteDay = require('../service/trips-by-route-day');
const utils=require('../utils');

router.get('/', async function(req, res, next) {
  try {
      res.json(await tripsByRouteDay.get(req.query.routeid, req.query.day));
  } catch (err) {
      console.error(`Error while getting trips by route_id and day, msg: `, err.message);
      res.status(err.statusCode || 500).json(utils.MSGS.error);
  }
});

module.exports = router;
