const debug=require('debug')('agency');
require('dotenv').config();

const db = require('./db');
const helper = require('../helper');
const config = require('../config');

async function getMultiple(page = 1) {

    debug('agency start...');

    const schema = process.env.DB_SCHEMA || 'schema';

    const query =`SELECT * FROM ` + schema + `.agency OFFSET $1 LIMIT $2`;
    debug('query: ' + query );

    const offset = helper.getOffset(page, config.listPerPage);
    const rows = await db.query(query, [offset, config.listPerPage]);
    const data = helper.emptyOrRows(rows);
    const meta = {page};

    debug('agency done.');
    return {
	data,
	meta
    };
};

module.exports = {
  getMultiple
};
