require('dotenv').config();

const db = require('./db');

/**
 * Get id and name of all agencies
 *
 * @return Array of agency objects containing id and name
 */
async function get() {
    const schema = process.env.DB_SCHEMA || 'schema';
    const query = 'SELECT agency.agency_id, agency.agency_name FROM ' + schema + '.agency ORDER BY agency_name;'
    return await db.query(query );
}
module.exports = {
  get
}
