const debug=require('debug')('debug');
const db = require('./db');
const helper = require('../helper');

require('dotenv').config();

async function get(oset = 1,limit = 100) {
    debug('calendar-oset-limit start...');
    const schema = process.env.DB_SCHEMA || 'schema';

    const query = 'SELECT * FROM ' + schema + '.calendar OFFSET $1 LIMIT $2'
    const offset = helper.getOffset(oset, limit);
    const rows = await db.query(
	query,
	[offset, limit]
    );
    const data = helper.emptyOrRows(rows);
    debug('calendar-oset-limit done.');
    return data;
};

module.exports = {
  get
};
