const debug=require('debug')('debug');
require('dotenv').config();

const db = require('./db');
const mapping=require('../utils/mapping');

/**
 * Create Array of dates in timestamp format
 *
 * @return Array of dates
 */
async function get(serviceId = 0) {
    debug('datesServiceAdded serviceId: '+serviceId);

    const schema = process.env.DB_SCHEMA || 'schema';
    debug('schema: ' + schema );

    const query=`SELECT calendar_dates.date FROM ` + schema + `.calendar, ` + schema + `.calendar_dates WHERE calendar.service_id = calendar_dates.service_id AND calendar.service_id = '${serviceId}' and calendar_dates.exception_type = '1';`;
    debug('datesServiceAdded query: '+query);

    const dates = await db.query(query);
    debug('datesServiceAdded dates.length: '+dates.length);

    const setDatesServiceAdded = new Set();
    dates.forEach( ( date ) => 	setDatesServiceAdded.add( date.date.getTime() ) );
    debug('datesServiceAdded setDatesServiceAdded.size: ' + setDatesServiceAdded.size );
    return mapping.set2Array(setDatesServiceAdded);
};

module.exports = {
  get
};
