require('dotenv').config();

const db = require('./db');

/**
 * Get trips that belong to the certain route_id and day
 *
 * @return Array of trips
 */
async function get(routeid = 0, day = '2023-12-16') {

    const schema = process.env.DB_SCHEMA || 'schema';

    const tomorrow = new Date(day);
    //console.log('tomorrow UTC: ' + tomorrow.toUTCString());
    tomorrow.setUTCDate(tomorrow.getUTCDate() + 1);
    //console.log('tomorrow UTC: ' + tomorrow.toUTCString());
    //console.log('tomorrow ISO: ' + tomorrow.toISOString());
    //console.log('tomorrow ISO substring: ' + tomorrow.toISOString().substring(0, 10));

    const query = `SELECT agency_name, agency_id, route_id, route_short_name, service_id, trip_id, trip_short_name, trip_headsign, timestamp_pgsql FROM `
	  + schema
	  + `.vw_join_gncy_rts_trps_srvcs_pdts WHERE dates like '%${day}%' AND route_id = '${routeid}' AND ((timestamp_pgsql >= '${day}' AND timestamp_pgsql < '`
	  + tomorrow.toISOString().substring(0, 10)
	  + `') OR timestamp_pgsql IS NULL) ORDER BY timestamp_pgsql, route_short_name ASC;`

    return await db.query(query);
};
      
module.exports = {
    get
};
