const debug=require('debug')('debug');

function getDayMap(day){
    debug('calendar:getDayMap() start...');
    debug('calendar:getDayMap() day: '+day);

    //get date of today without hours
    const todayNoHours=new Date(new Date().toDateString());
    debug('calendar:todayNoHours: '+todayNoHours);

    const todayNoHoursTs=todayNoHours.getTime();
    debug('calendar:todayNoHoursTs: '+todayNoHoursTs);
    debug('calendar:getDayMap() done.');
}

function getCalendarMap(){
    debug('calendar start...');

    //get date of today without hours
    const todayNoHours=new Date(new Date().toDateString());
    debug('calendar todayNoHours: '+todayNoHours);

    const todayNoHoursTs=todayNoHours.getTime();
    debug('calendar todayNoHoursTs: '+todayNoHoursTs);

    const mapCalendar=new Map();
    const dayString='day';

    //set dates for week 14 days before
    for(var i=-14;i<-10;i++){
	const date=new Date(new Date(todayNoHours).setDate(todayNoHours.getDate() + i));
	const dateTs=date.getTime();
	//debug('calendar week28DaysBefore: '+dateTs);
	mapCalendar.set(dayString+i,dateTs);
    }
    //set dates for this week
    for(var i=0;i<4;i++){
	const date=new Date(new Date(todayNoHours).setDate(todayNoHours.getDate() + i));
	const dateTs=date.getTime();
	//debug('calendar thisWeek: '+dateTs);
	mapCalendar.set(dayString+i,dateTs);
    }
    //set dates for week 28 days after
    for(var i=28;i<32;i++){
	const date=new Date(new Date(todayNoHours).setDate(todayNoHours.getDate() + i));
	const dateTs=date.getTime();
	//debug('calendar week28DaysAfter: '+dateTs);
	mapCalendar.set(dayString+i,dateTs);
    }
    debug('calendar done.');
    return mapCalendar;
};
module.exports = {
    getCalendarMap,
    getDayMap
}
